function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Welcome to the 3ware\u00ae HTML Bookshelf (PC)","0");
A=P.fN("3ware Documentation PDFs","1");
A=P.fN("3ware\u00ae User Guide","2");
var B=A.fN("About this User Guide","3");
var C=B.fN("How this User Guide is Organized","4");
C=B.fN("Conventions","5");
C=B.fN("Screenshots","6");
C=B.fN("Using the 3ware HTML Bookshelf","7");
B=A.fN("Introducing the 3ware\u00ae SAS/SATA RAID Controller","8");
C=B.fN("Highlights of the 9.5.1 Release","9");
C=B.fN("System Requirements","10");
C=B.fN("Understanding RAID Concepts and Levels","11");
var D=C.fN("RAID Concepts","12");
D=C.fN("Available RAID Configurations","13");
D=C.fN("Determining What RAID Level to Use","14");
D=C.fN("Using Drive Capacity Efficiently","15");
D=C.fN("Support for Over 2 Terabytes","16");
C=B.fN("3ware Tools for Configuration and Management","17");
C=B.fN("Monitoring, Maintenance, and Troubleshooting Features","18");
B=A.fN("Getting Started with Your 3ware RAID Controller","19");
B=A.fN("First-Time RAID Configuration Using 3BM","20");
C=B.fN("Basic Steps for Creating a Unit","21");
C=B.fN("Specifying a Hot Spare","22");
C=B.fN("Making Drives Visible to the Operating System","23");
C=B.fN("Checking the Motherboard Boot Sequence","24");
C=B.fN("What Next?","25");
B=A.fN("Driver Installation","26");
C=B.fN("Driver Installation Under Windows","27");
D=C.fN("Materials Required","28");
D=C.fN("Creating a 3ware Driver Diskette","29");
D=C.fN("Installing the 3ware Driver and Windows on a\u00a0New\u00a0RAID Unit","30");
D=C.fN("Installing the 3ware Driver on a Windows System that Boots from a Different Device","31");
D=C.fN("Making Units Managed by a 3ware Controller Available to Windows","32");
C=B.fN("Driver Installation Under Linux","33");
D=C.fN("Obtaining 3ware Linux Drivers","34");
D=C.fN("Driver Installation Under Red Hat Linux or Fedora\u00a0Core","35");
D=C.fN("Driver Installation Under SuSE Linux","36");
D=C.fN("Compiling a 3ware Driver for Linux","37");
C=B.fN("Driver Installation Under FreeBSD","38");
D=C.fN("Obtaining 3ware FreeBSD Drivers","39");
D=C.fN("Creating A FreeBSD Driver Diskette","40");
D=C.fN("Installing the Kernel Driver Module while Installing FreeBSD on a Unit Managed by a 3ware RAID Controller","41");
D=C.fN("Installing the 3ware Kernel Driver on a FreeBSD System that Boots from a Different Device","42");
C=B.fN("Driver Installation Under VMware ESX 3.x Server","43");
D=C.fN("Installing the driver when your primary storage will be managed by the 3ware RAID controller","44");
D=C.fN("Installing the driver when your secondary storage will be managed by the 3ware RAID controller","45");
B=A.fN("3ware BIOS Manager (3BM) Introduction","46");
C=B.fN("Starting 3BM","47");
C=B.fN("Exiting the 3BM Configuration Utility","48");
C=B.fN("Working in the 3BM Screens","49");
C=B.fN("Adjusting BIOS Option Settings","50");
C=B.fN("Displaying Information About the Controller and Related Devices","51");
C=B.fN("Getting Help While Using 3BM","52");
B=A.fN("3DM\u00ae 2 (3ware\u00ae Disk Manager) Introduction","53");
C=B.fN("Browser Requirements for 3DM","54");
C=B.fN("Installing 3DM","55");
C=B.fN("Starting 3DM and Logging In","56");
D=C.fN("Logging In to the 3DM Web Application","57");
D=C.fN("Managing the 3DM 2 Daemon under Linux, VMware, and FreeBSD","58");
D=C.fN("Starting the 3DM 2 Process under Microsoft Windows","59");
D=C.fN("Viewing 3DM Remotely Using a Web Browser","60");
C=B.fN("Working with the 3DM Screens","61");
D=C.fN("3DM Menus","62");
D=C.fN("Viewing Information About Different Controllers","63");
D=C.fN("Refreshing the Screen","64");
D=C.fN("3DM Screens and What They're Used For","65");
C=B.fN("Setting Up 3DM Preferences","66");
D=C.fN("Setting and Changing 3DM Passwords","67");
D=C.fN("Managing E-mail Event Notification","68");
D=C.fN("Configuring the VMware Firewall to Allow Email Notification","69");
D=C.fN("Enabling and Disabling Remote Access","70");
D=C.fN("Setting the Listening Port #","71");
D=C.fN("Setting the Frequency of Page Refreshes","72");
B=A.fN("Configuring Your Controller","73");
C=B.fN("Viewing Information About a Controller","74");
C=B.fN("About Controller Policies","75");
C=B.fN("Viewing Controller Policies","76");
C=B.fN("Setting the Auto Rebuild Policy","77");
C=B.fN("Using Auto-Carving for Multi LUN Support","78");
C=B.fN("Setting the Size of Volumes Created with Auto-Carving","79");
C=B.fN("Enabling and Setting Up Staggered Spin-up","80");
C=B.fN("Exporting JBOD Disks","81");
C=B.fN("Viewing Information About a Phy","82");
C=B.fN("Changing the Phy Link Speed","83");
B=A.fN("Configuring Units","84");
C=B.fN("Configuring a New Unit","85");
D=C.fN("Configuration Options When Creating a Unit","86");
D=C.fN("Creating a Unit through 3DM","87");
D=C.fN("Creating a Unit through 3BM","88");
D=C.fN("Ordering Units in 3BM","89");
D=C.fN("Partitioning, Formatting, and Mounting Units","90");
C=B.fN("Creating a Hot Spare","91");
D=C.fN("Specifying a Hot Spare through 3DM","92");
D=C.fN("Specifying a Hot Spare through 3BM","93");
C=B.fN("Naming a Unit","94");
C=B.fN("Setting Unit Policies","95");
D=C.fN("Enabling and Disabling the Unit Write Cache","96");
D=C.fN("Enabling or Disabling Auto Verify for a Unit","97");
D=C.fN("Setting Overwrite ECC (Continue on Source Error When Rebuilding)","98");
D=C.fN("Enabling and Disabling Queuing for a Unit","99");
D=C.fN("Setting the StorSave Profile for a Unit","100");
D=C.fN("Rapid RAID Recovery","101");
C=B.fN("Changing An Existing Configuration by Migrating","102");
D=C.fN("RAID Level Migration (RLM) Overview","103");
D=C.fN("Changing RAID Level","104");
D=C.fN("Expanding Unit Capacity","105");
D=C.fN("Informing the Operating System of Changed Configuration","106");
C=B.fN("Deleting a Unit","107");
D=C.fN("Deleting a Unit through 3DM","108");
D=C.fN("Deleting a Unit through 3BM","109");
C=B.fN("Removing a Unit","110");
D=C.fN("Removing a Unit Through 3DM","111");
D=C.fN("Removing a Unit Through 3BM","112");
C=B.fN("Moving a Unit from One Controller to Another","113");
D=C.fN("Moving Units from an Earlier 9000 Series to a 9650SE or 9690SA Controller","114");
D=C.fN("Moving Units from an 8000 Controller to a 9000 Controller","115");
D=C.fN("Moving Legacy JBOD Units to a 9000 Controller","116");
C=B.fN("Adding a Drive","117");
C=B.fN("Removing a Drive","118");
C=B.fN("Rescanning the Controller","119");
B=A.fN("Maintaining Units","120");
C=B.fN("Checking Unit and Drive Status through 3DM","121");
D=C.fN("Viewing a List of Drives","122");
D=C.fN("Enclosure Drive LED Status Indicators","123");
D=C.fN("Unit Statuses","124");
D=C.fN("Drive Statuses","125");
C=B.fN("About Degraded Units","126");
C=B.fN("About Inoperable Units","127");
C=B.fN("Locating a Drive by Blinking Its LED","128");
C=B.fN("Alarms, Errors, and Other Events","129");
D=C.fN("Viewing Alarms, Errors, and Other Events","130");
D=C.fN("Using the Alert Utility Under Windows","131");
D=C.fN("Downloading an Error Log","132");
D=C.fN("Viewing SMART Data About a Drive","133");
C=B.fN("Background Tasks","134");
D=C.fN("About Initialization","135");
D=C.fN("About Verification","136");
D=C.fN("Using Auto Verification","137");
D=C.fN("Starting a Verify Manually","138");
D=C.fN("Rebuilding Units","139");
D=C.fN("Cancelling a Rebuild and Restarting It with a Different Drive","140");
D=C.fN("Setting Background Task Rate","141");
D=C.fN("Background Task Prioritization","142");
C=B.fN("Scheduling Background Tasks","143");
D=C.fN("Viewing Current Task Schedules","144");
D=C.fN("Turning On or Off Use of a Rebuild/Migrate Task Schedule","145");
D=C.fN("Selecting Advanced or Basic Verify Schedules","146");
D=C.fN("Removing a Task Slot from a Schedule","147");
D=C.fN("Adding a New Task Schedule Slot","148");
D=C.fN("Selecting Self-tests to be Performed","149");
B=A.fN("Maintaining Your Controller","150");
C=B.fN("Determining the Current Version of Your 3ware Driver","151");
C=B.fN("Updating the Firmware and Driver","152");
D=C.fN("Downloading the Driver and Firmware","153");
D=C.fN("Updating the Firmware Through 3DM 2","154");
D=C.fN("Updating the Firmware Through DOS Using the 3ware Bootable CD","155");
D=C.fN("Updating the 3ware Driver and Firmware Under\u00a0Windows","156");
D=C.fN("Using the Update Utility With Multiple Controllers","157");
D=C.fN("Updating the 3ware Driver Under Windows","158");
D=C.fN("Updating the 3ware Driver Under Red Hat or Fedora\u00a0Core","159");
D=C.fN("Updating the 3ware Driver Under SuSE","160");
D=C.fN("Updating 3ware Drivers under FreeBSD","161");
D=C.fN("Updating 3ware Drivers under VMware","162");
C=B.fN("Viewing Battery Information","163");
C=B.fN("Testing Battery Capacity","164");
B=A.fN("Managing an Enclosure","165");
C=B.fN("Viewing a List of Enclosures","166");
C=B.fN("Checking Enclosure Component Status","167");
D=C.fN("Fan Status","168");
D=C.fN("Temp Sensor Status","169");
D=C.fN("Power Supply Status","170");
D=C.fN("Slot Summary","171");
C=B.fN("Locating a Specific Enclosure Component","172");
C=B.fN("Downloading an Enclosure Diagnostic Log","173");
B=A.fN("3DM 2 Reference","174");
C=B.fN("Controller Summary page","175");
C=B.fN("Controller Details page","176");
C=B.fN("Unit Information page","177");
C=B.fN("Unit Details page","178");
C=B.fN("Drive Information page","179");
C=B.fN("Drive Details window","180");
C=B.fN("Controller Phy Summary page","181");
C=B.fN("Controller Settings page","182");
C=B.fN("Scheduling page","183");
C=B.fN("Maintenance page","184");
C=B.fN("Alarms page","185");
C=B.fN("Battery Backup page","186");
C=B.fN("Enclosure Summary page","187");
C=B.fN("Enclosure Details page","188");
C=B.fN("3DM 2 Settings page","189");
B=A.fN("Troubleshooting","190");
C=B.fN("Web Resources","191");
C=B.fN("Before Contacting Customer Support","192");
C=B.fN("Basic Troubleshooting: Check This First","193");
C=B.fN("Command Logging","194");
C=B.fN("Drive Performance Monitoring","195");
D=C.fN("Types of DPM Statistics","196");
D=C.fN("Available DPM Commands","197");
C=B.fN("Problems and Solutions","198");
D=C.fN("Enclosure-Related Problems","199");
D=C.fN("Hardware Installation Problems","200");
D=C.fN("Software Installation Problems","201");
D=C.fN("Problems in 3DM and 3BM","202");
C=B.fN("Error and Notification Messages","203");
D=C.fN("Error and Notification Message List","204");
B=A.fN("Software Installation","316");
C=B.fN("Installing Software","317");
D=C.fN("Installing Software from a Graphical User Interface (GUI)","318");
D=C.fN("Installing Software on Linux from the Command Line","319");
D=C.fN("Installing Software on FreeBSD","320");
D=C.fN("Installing Software for VMware","321");
C=B.fN("Uninstalling 3ware Software","322");
D=C.fN("Uninstalling 3ware Software under Microsoft Windows","323");
D=C.fN("Uninstalling 3ware Software under Linux and FreeBSD","324");
D=C.fN("Uninstalling 3DM Software on VMware","325");
B=A.fN("Compliance and Conformity Statements","326");
C=B.fN("FCC Radio Frequency Interference Statement","327");
C=B.fN("Microsoft Windows Hardware Quality Lab","328");
C=B.fN("European Community Conformity Statement","329");
B=A.fN("Warranty, Technical Support, and Service","330");
C=B.fN("Limited Warranty","331");
C=B.fN("Warranty Service and RMA Process","332");
C=B.fN("AMCC Technical Support and Services","333");
C=B.fN("Sales and ordering information","334");
C=B.fN("Feedback on this manual","335");
A=P.fN("3ware\u00ae CLI Guide","336");
B=A.fN("About this CLI Guide","337");
B=A.fN("Introduction to the 3ware Command Line Interface","338");
C=B.fN("Features of the CLI","339");
C=B.fN("Supported Operating Systems","340");
C=B.fN("Installing the 3ware CLI","341");
D=C.fN("Installing the 3ware CLI on Windows","342");
D=C.fN("Installing the 3ware CLI on Linux and FreeBSD","343");
C=B.fN("Working with 3ware CLI","344");
D=C.fN("Using the command interface interactively","345");
D=C.fN("Using a single command with output","346");
D=C.fN("Using an input file to execute a script","347");
D=C.fN("Outputting the CLI to a Text File","348");
D=C.fN("Conventions","349");
D=C.fN("RAID Concepts","350");
D=C.fN("Available RAID Configurations","351");
D=C.fN("Determining What RAID Level to Use","352");
D=C.fN("Using Drive Capacity Efficiently","353");
D=C.fN("Support for Over 2 Terabytes","354");
B=A.fN("CLI Syntax Reference","355");
C=B.fN("Common Tasks Mapped to CLI Commands","356");
C=B.fN("Terminology","357");
C=B.fN("Syntax Overview","358");
C=B.fN("Shell Object Commands","359");
D=C.fN("focus Object","360");
D=C.fN("commit","361");
D=C.fN("flush","362");
D=C.fN("rescan","363");
D=C.fN("show","364");
D=C.fN("show alarms [reverse]","365");
D=C.fN("show diag","366");
D=C.fN("show rebuild","367");
D=C.fN("show selftest","368");
D=C.fN("show ver","369");
D=C.fN("show verify","370");
D=C.fN("update fw=filename_with_path [force]","371");
C=B.fN("Controller Object Commands","372");
D=C.fN("/cx show","373");
D=C.fN("/cx show attribute [attribute ...]","374");
D=C.fN("/cx show all","375");
D=C.fN("/cx show alarms [reverse]","376");
D=C.fN("/cx show diag","377");
D=C.fN("/cx show phy","378");
D=C.fN("/cx show rebuild","379");
D=C.fN("/cx show selftest","380");
D=C.fN("/cx show verify","381");
D=C.fN("/cx add type=&lt;RaidType&gt; disk=&lt;p:-p&gt; [stripe=Stripe] [noscan] [group=&lt;3|4|5|6|7|8|9|10|11|12/13|14|15|16&gt;] [nocache] [autoverify] [noqpolicy] [ignoreECC] [name=string] [storsave=&lt;protect|balance|perform&gt;] [rapidrecovery=all|rebuild|disable] [v0=n|vol=a:b:c:d]","382");
D=C.fN("/cx rescan [noscan]","383");
D=C.fN("/cx commit","384");
D=C.fN("/cx flush","385");
D=C.fN("/cx update fw=filename_with_path [force]","386");
D=C.fN("/cx add rebuild=ddd:hh:duration","387");
D=C.fN("/cx add verify=ddd:hh:duration","388");
D=C.fN("/cx add selftest=ddd:hh","389");
D=C.fN("/cx del rebuild=slot_id","390");
D=C.fN("/cx del verify=slot_id","391");
D=C.fN("/cx del selftest=slot_id","392");
D=C.fN("/cx set dpmstat=on|off","393");
D=C.fN("/cx set rebuild=enable|disable|1..5","394");
D=C.fN("/cx set verify=enable|disable|1..5","395");
D=C.fN("/cx set verify=advanced|basic|1..5","396");
D=C.fN("/cx set verify=basic [pref=ddd:hh]","397");
D=C.fN("/cx set selftest=enable|disable [task=UDMA|SMART]","398");
D=C.fN("/cx set exportjbod=on|off","399");
D=C.fN("/cx set ondegrade=cacheoff|follow","400");
D=C.fN("/cx set spinup=nn","401");
D=C.fN("/cx set stagger=nn","402");
D=C.fN("/cx set autocarve=on|off","403");
D=C.fN("/cx set carvesize=[1024..32768]","404");
D=C.fN("/cx set autorebuild=on|off","405");
D=C.fN("/cx set autodetect=on|off disk=&lt;p:-p&gt;|all","406");
D=C.fN("/cx start mediascan","407");
D=C.fN("/cx stop mediascan","408");
C=B.fN("Unit Object Commands","409");
D=C.fN("/cx/ux show","410");
D=C.fN("/cx/ux show attribute [attribute ...]","411");
D=C.fN("/cx/ux show all","412");
D=C.fN("/cx/ux remove [noscan] [quiet]","413");
D=C.fN("/cx/ux del [noscan] [quiet]","414");
D=C.fN("/cx/ux start rebuild disk=p&lt;p:-p...&gt; [ignoreECC]","415");
D=C.fN("/cx/ux start verify","416");
D=C.fN("/cx/ux pause rebuild","417");
D=C.fN("/cx/ux resume rebuild","418");
D=C.fN("/cx/ux stop verify","419");
D=C.fN("/cx/ux flush","420");
D=C.fN("/cx/ux set autoverify=on|off","421");
D=C.fN("/cx/ux set cache=on|off [quiet]","422");
D=C.fN("/cx/ux set identify=on|off","423");
D=C.fN("/cx/ux set ignoreECC=on|off","424");
D=C.fN("/cx/ux set name=string","425");
D=C.fN("/cx/ux set qpolicy=on|off","426");
D=C.fN("/cx/ux set rapidrecovery all|rebuild|disable [quiet]","427");
D=C.fN("/cx/ux set storsave=protect|balance|perform [quiet]","428");
D=C.fN("/cx/ux migrate type=RaidType [disk=p:-p] [group=3|4|5|6|7|8|9|10|11|12|13|14|15|16] [stripe=Stripe] [noscan] [nocache] [autoverify]","429");
C=B.fN("Port Object Commands","430");
D=C.fN("/cx/px show","431");
D=C.fN("/cx/px show attribute [attribute ...]","432");
D=C.fN("/cx/px show all","433");
D=C.fN("/cx/px show dpmstat type=inst|ra|lct|histdata|ext","434");
D=C.fN("/cx/px remove [noscan] [quiet]","435");
D=C.fN("/cx/px set identify=on|off","436");
D=C.fN("/cx/px set dpmstat=clear [type=ra|lct|ext]","437");
C=B.fN("Phy Object Commands","438");
D=C.fN("/cx/phyx show","439");
D=C.fN("/cx/phyx set link=auto|1.5|3.0","440");
C=B.fN("BBU Object Commands","441");
D=C.fN("/cx/bbu show","442");
D=C.fN("/cx/bbu show attribute [attribute ...]","443");
D=C.fN("/cx/bbu show all","444");
D=C.fN("/cx/bbu test [quiet]","445");
D=C.fN("/cx/bbu enable","446");
D=C.fN("/cx/bbu disable [quiet]","447");
C=B.fN("Enclosure Object and Element Commands","448");
D=C.fN("/cx/ex show","449");
D=C.fN("/cx/ex show attribute [attribute ...]","450");
D=C.fN("/cx/ex show all","451");
D=C.fN("/cx/ex/slotx show","452");
D=C.fN("/cx/ex/slotx show identify","453");
D=C.fN("/cx/ex/slotx set identify=on|off","454");
D=C.fN("/cx/ex/fanx show","455");
D=C.fN("/cx/ex/fanx show identify","456");
D=C.fN("/cx/ex/fanx set identify=on|off","457");
D=C.fN("/cx/ex/pwrsx show","458");
D=C.fN("/cx/ex/pwrsx show identify","459");
D=C.fN("/cx/ex/pwrsx set identify=on|off","460");
D=C.fN("/cx/ex/tempx show","461");
D=C.fN("/cx/ex/tempx show identify","462");
D=C.fN("/cx/ex/tempx set identify=on|off","463");
C=B.fN("Help Commands","464");
D=C.fN("Help with specific commands","465");
D=C.fN("Help with attributes","466");
D=C.fN("help","467");
D=C.fN("help show","468");
D=C.fN("help flush","469");
D=C.fN("help rescan","470");
D=C.fN("help update","471");
D=C.fN("help commit","472");
D=C.fN("help focus","473");
D=C.fN("help /cx","474");
D=C.fN("help /cx/phyx","475");
D=C.fN("help /cx/ux","476");
D=C.fN("help /cx/px","477");
D=C.fN("help /cx/bbu","478");
D=C.fN("help /cx/ex","479");
D=C.fN("help /cx/ex/slotx","480");
D=C.fN("help /cx/ex/fanx","481");
D=C.fN("help /cx/ex/tempx","482");
D=C.fN("help /cx/ex/pwrsx","483");
C=B.fN("Command Logging","484");
C=B.fN("Return Code","485");
A=P.fN("Glossary","486");
A=P.fN("Copyright, Trademarks, and Disclaimer","487");
}
